Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fusioncharts
Class FusionChartsHelper

    java.lang.Object
      com.fusioncharts.FusionChartsHelper

    public class FusionChartsHelper

extends java.lang.Object

Contains methods to add no cache string to a url,getting colors for the charts.
In order to use this class in your jsps,import this class and
call the appropriate method directly as follows:
FusionChartsHelper.addCacheToDataURL(...);
In order to use this class for colors call the method as shown:
FusionChartsHelper helper = new FusionChartsHelper();
String color = helper.getFCColor();

Author:
  InfoSoft Global (P) Ltd.

Field Summary
`(package private) java.lang.String[]` | `arr_FCColors`
`(package private) int` | `FC_ColorCounter`

Constructor Summary
`FusionChartsHelper()`

Method Summary
`static java.lang.String` | `addCacheToDataURL(java.lang.String strDataURL)` Adds additional string to the url to and encodes the parameters, so as to disable caching of data.
`java.lang.String` | `encodeDataURL(java.lang.String strDataURL, java.lang.String addNoCacheStr, javax.servlet.http.HttpServletResponse response)` Encodes the dataURL before it's served to FusionCharts.
`java.lang.String` | `getFCColor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FC_ColorCounter

    int FC_ColorCounter

### arr_FCColors

    java.lang.String[] arr_FCColors

Constructor Detail

### FusionChartsHelper

    public FusionChartsHelper()

Method Detail

### getFCColor

    public java.lang.String getFCColor()

### addCacheToDataURL

    public static java.lang.String addCacheToDataURL(java.lang.String strDataURL)

  Adds additional string to the url to and encodes the parameters,
  so as to disable caching of data.

  Parameters:
    `strDataURL` - - dataURL to be fed to chart
  Returns:
    cachedURL - URL with the additional string added

### encodeDataURL

    public java.lang.String encodeDataURL(java.lang.String strDataURL,
                                          java.lang.String addNoCacheStr,
                                          javax.servlet.http.HttpServletResponse response)

  Encodes the dataURL before it's served to FusionCharts. If you have parameters in your dataURL, you necessarily need to encode it.

  Parameters:
    `strDataURL` - - dataURL to be fed to chart
    `addNoCacheStr` - - Whether to add additional string to URL to disable caching of data
  Returns:
    String - the encoded URL

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD